.gallery img {
  border-radius: 0.425rem;
  object-fit: cover;
}
.gallery-item {
  margin-block: 0;
}
.gallery--even {
  display: grid;
  gap: 1.5rem;
}
@supports (inline-size: min(15rem, 100%)) {
  .gallery--even {
    grid-template-columns: repeat(auto-fit, minmax(min(15rem, 100%), 1fr));
  }
}
.gallery--even img {
  aspect-ratio: 1;
}
.gallery--uneven {
  display: grid;
  grid-auto-rows: min-content;
  grid-gap: clamp(1rem, 5vw, 1.5rem);
  grid-template-columns: repeat(6, minmax(0, 1fr));
}
.gallery--uneven .gallery-item--1 {
  grid-column: 1/span 3;
  grid-row: 1/span 1;
}
.gallery--uneven .gallery-item--2 {
  grid-column: 4/span 3;
  grid-row: 1/span 1;
}
.gallery--uneven .gallery-item--3 {
  grid-column: 1/span 2;
  grid-row: 2/span 1;
}
.gallery--uneven .gallery-item--4 {
  grid-column: 3/span 2;
  grid-row: 2/span 1;
}
.gallery--uneven .gallery-item--5 {
  grid-column: 5/span 2;
  grid-row: 2/span 1;
}
.gallery--uneven .gallery-item--6 {
  grid-column: 1/span 3;
  grid-row: 3/span 1;
}
.gallery--uneven .gallery-item--6 img {
  aspect-ratio: 3/1.5;
}
.gallery--uneven .gallery-item--7 {
  grid-column: 1/span 3;
  grid-row: 4/span 1;
}
.gallery--uneven .gallery-item--7 img {
  aspect-ratio: 3/1.5;
}
.gallery--uneven .gallery-item--8 {
  grid-column: 4/span 3;
  grid-row: 3/span 2;
}
.gallery--uneven .gallery-item--8 img {
  aspect-ratio: auto;
}
.gallery--uneven img {
  aspect-ratio: 3/2;
  block-size: 100%;
  inline-size: 100%;
}
